Loading...
Searching...
No Matches
Halide::Internal::PrefetchDirective Struct Reference

`#include <PrefetchDirective.h>`

## Public Attributes

std::string | name
std::string | at
std::string | from
Expr | offset
PrefetchBoundStrategy | strategy
Parameter | param

## Detailed Description

Definition at line 37 of file PrefetchDirective.h.

## Member Data Documentation

## name

std::string Halide::Internal::PrefetchDirective::name

Definition at line 38 of file PrefetchDirective.h.

## at

std::string Halide::Internal::PrefetchDirective::at

Definition at line 39 of file PrefetchDirective.h.

## from

std::string Halide::Internal::PrefetchDirective::from

Definition at line 40 of file PrefetchDirective.h.

## offset

Expr Halide::Internal::PrefetchDirective::offset

Definition at line 41 of file PrefetchDirective.h.

## strategy

PrefetchBoundStrategy Halide::Internal::PrefetchDirective::strategy

Definition at line 42 of file PrefetchDirective.h.

## param

Parameter Halide::Internal::PrefetchDirective::param

Definition at line 44 of file PrefetchDirective.h.

The documentation for this struct was generated from the following file:

- src/PrefetchDirective.h